package attributes;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;



public class HeadingTag extends TagSupport {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String bgColor; // kotelezo attributum
	private String color = null;
	private String align="center";
	private String fontSize="36";
	private String fontList="Arial, Helvetica, sans-serif";
	private String border="0";
	private String width=null;

	public void setBgColor(String bgColor) {
		this.bgColor = bgColor;
	}

	public void setColor(String color) {
		this.color = color;
	}

	public void setAlign(String align) {
		this.align = align;
	}

	public void setFontSize(String fontSize) {
		this.fontSize = fontSize;
	}

	public void setFontList(String fontList) {
		this.fontList = fontList;
	}

	public void setBorder(String border) {
		this.border = border;
	}

	public void setWidth(String width) {
		this.width = width;
	}

	public int doStartTag() {
		try {
			JspWriter out = pageContext.getOut();
			out.print("<table border=" + border +
					" bgcolor=\"" + bgColor + "\"" +
					" align=\"" + align + "\"");
			if (width != null) {
				out.print(" width=\"" + width + "\"");
			}
			out.print("><tr><th>");
			out.print("<span style=\"" +
					"font-size: " + fontSize + "px; " +
					"font-family: " + fontList + "; ");
			if (color != null) {
				out.println("color: " + color + ";");
			}
			out.print("\"> "); //  <span ...> vege
		} catch(IOException ioe) {
			System.out.println("Error in HeadingTag: " + ioe);
		}
		return(EVAL_BODY_INCLUDE); // kiertekeli a torzset
	}

	public int doEndTag() {
		try {
			JspWriter out = pageContext.getOut();
			out.print("</span></table>");
		} catch(IOException ioe) {
			System.out.println("Error in HeadingTag: " + ioe);
		}
		return(EVAL_PAGE); // folytatja a JSP tovabbi feldolgozasat
	}
}
