package repeat;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.BodyContent;
import javax.servlet.jsp.tagext.BodyTagSupport;

public class RepeatTag extends BodyTagSupport {

	private static final long serialVersionUID = 1L;
	private int reps;

	public void setReps(String repeats) {
		try {
			reps = Integer.parseInt(repeats);
		} catch(NumberFormatException nfe) {
			reps = 1;
		}
	}

	public int doAfterBody() {
		if (reps-- >= 1) {
			BodyContent body = getBodyContent();
			try {
				JspWriter out = body.getEnclosingWriter();
				out.println(body.getString());
				body.clearBody(); // Toroljuk a kovetkezo feldolgozashoz
			} catch(IOException ioe) {
				System.out.println("Error a RepeatTag-ben: " + ioe);
			}
			return(EVAL_BODY_AGAIN);
		} else {
			return(SKIP_BODY);
		}
	}
}
